<?php

###########//// Start of User-Defined Variables Section \\\\############

############################## File Locking ############################

# Does your system have file locking ('flock')?  This stops your data
# files getting corrupted when to different users try to save to the
# same file simultaneously.  If it does, change the following value to
# 1, e.g. $lockit = 1;. If you're on a Windows server, set it to 0.

$lockit = 1;

##################### Location of Programs #############################

# Full URL of this script  :
$cgi_url = "http://" .$_SERVER['HTTP_HOST'].rtrim(dirname($_SERVER['PHP_SELF']), '/\\').'/ttmailer.php';

# Absolute path to the data (.txt and .dat) files used by the script.
# This need not be the same place as where the CGI scripts are.
# NO trailing forward-slash here!!:

$path_to_data_files = dirname($_SERVER["SCRIPT_FILENAME"]);

# Delimiter (entry separation symbol) to be used to QUERY the databases.
# The one used here, '|', is called a "pipe".  A comma, or
# two colons can also be used.  Don't change it unless you really
# need to.

$DELIM = '|';

# Delimiter (entry separation symbol) to be used to SAVE TO the databases.
# The one used here, '|', is called a "pipe".  A comma, or
# two colons can also be used.  Don't change it unless you really
# need to.

$DELIM2 = "|";

########################### Valid Referers #################################

# List the URLs that are allowed to call this script,
# to stop other sites calling it.  Leave this blank if other
# sites (like affiliates), or unsubscribers-from-emails are calling
# this script.
# Example: $valid_urls = array('www.myhost.com', 'www.edujini.in');
# NOTE: You may 'break' an array like this, if you break it on a comma, as below.
# Example: $valid_urls = array('www.myhost.com',
#                              'www.edujini.in');
#

$valid_urls = array('www.ttwebmaster.com','www.tigertom.com','www.ttfreeware.com');

############################ String Length / Text Wrapping ###################

# At greater than what length of characters should the script consider
# wrapping the 'message' form field?
# [Set this to a larger number if you don't want the script to mess with
# long form input field strings.]

$string_limit = 200;

# And at what length should it start to wrap the text?

$wrap_at = 65;

######################## Email Configuration ###############################

# Email addresses that this form sends to are to be set up as hidden
# text fields in the from (see ttmailer.html), with the exception of the
# following:

# Email address that the script may send hack alerts etc. to :

$webmaster = 'script@tigertom.com';

# The subject of your order-related emails, and title of any pages
# this script may need to throw up :

$subject = "TigerTom Form Mailer - Status";


######################## SMS Text message variables ############################

# Username:
$user = "timmy"; 

# Password:
$password = "timmeh!"; 

# ID number to access the Clickatell API:
$api_id = "5097487"; 

# Web address to sent the text message via:
$baseurl ="http://api.clickatell.com"; 

# Your mobile (cell) phone number (include international dialling code):
$to = "4477100942203";


################# Affiliate Tracking / Remote Subscription ################
# Please read this, it's important:
#
# How you set the next variable depends if you want to use this script to
# track an affiliate id, and/or unsubscribe people to your mailing list.
#
# It states the maximum length (number of characters) of the
# query_string (the characters after the ? in a url).
#
# The query_string allows you to set a cookie if someone clicks on your
# script URL like this :
# http://www.tigertom.com/ttmailer.php?ID=AFFIL4356
#
# [You can also set a cookie with the name 'ID' if you include it
# as a hidden form field in your form]
#
# This script can also unsubscribe people from your mailing list by clicking on
# a link like this one :
# http://www.tigertom.com/ttmailer.php?Email=JohnSmith33@yahoo.com&action=unsubscribe
#
# The variable below helps to stop people trying to spoof your script from
# outside your domain.
#
# If the query_string exceeds the character-length set here, an error message will
# come up in the hacker's browser. NOTE: The length may need to be set longer than
# this example below, if you were unsubscribing people by their
# clicking on a URL in an email message, as email addresses can sometimes
# be quite long*.
#
# NOTE: I've made it so you cannot subscribe email addresses from the query_string;
# this is to discourage crackers trying to submit lots of bogus ones.
# NOTE 2:  Unless you are using the affiliate/cookie or unsubscribe-from-an-email feature, set
# the next scalar to 0.
#

$legit_length = "500";

#
# A query string can be generated by a form using the method GET, or
# by clicking on a link, or by typing the url and some data, after
# the question mark (see above), in a browser.
# Setting this variable limits how much information can be passed to your
# script by this method. This helps stop hacking attempts.
#
########################### Cookie Setup #################################

# If you want to retrieve or set a cookie without using JavaScript.
# Using this method is surer, as surfers can turn off JavaScript.
#
# You can set a cookie with the name-value pair ID=daisy456
# or whatever (you must use the name 'ID'). Set your own browser to
# 'accept cookies, but notify', and try it out.
#
# Don't accept the cookie if you want to keep testing this script function.
#

# When will the cookie expire from the browser :
# The 3 referes to 3 days back in history from current date
# Set it to -3 if you want the cookie to reside for next 3 days

$expires = -3;

# Domain from which cookies can be set and retrieved.
# Set this to your domain (without the www) prepended with a .
# Change the $domain variable below to your main URL.
# *Don't forget the dot at the start*!

$domain = ".tigertom.com";

# Directories in your domain which will be able to retrieve cookies
# (leave this line as it is to set and retrieve in all directories) :

$path = "/";

# Set this next value to TRUE if you want to set a cookie during a SSL
# session.  Otherwise leave it as-is.

$secure = FALSE;

#################### BASE64 ENCODED EMAIL ZIP-FILE SETUP ########################

# Your form should have code in it like this :
# <INPUT TYPE=RADIO NAME="email_zip" VALUE="">
# <INPUT TYPE=RADIO NAME="email_zip" VALUE="somefile.zip">
# <INPUT TYPE=RADIO NAME="email_zip" VALUE="otherfile.exe">
# <INPUT TYPE=RADIO NAME="email_zip" VALUE="anyfile.zip">
#
# Using radio buttons and the same NAME means only one file
# can be selected by the customer, and then base64encoded and emailed.
# NOTE: The script can only handle one file at a time.
#
# (Absolute) path to the directory where you put the file(s) you want
# uuencoded and emailed (NO trailing forward-slash here)
# WARNING: To stop someone trying to get files from your http-folder, make sure
# the files are in a separate sub-directory of their own !!! :

$zip_dump = '/user/yourserver/absolute/path_to/ttmailer/dump';

############################# ~>> FINAL TASK! <<~ ##########################
#
#
# WEBMASTER: NOW OPEN THE FILE 'ttmailer.php', and comment/uncomment the
# sub-routine calls, if required.  See the instructions there-in.
#
#
############################################################################

?>